#ifndef UICONFIG_H
#define UICONFIG_H

#include <qscrollview.h>
#include "configuration.h"

class QComboBox;
class QSpinBox;
class QCheckBox;

class UIConfig : public QScrollView
{
	Q_OBJECT
	
public:
	UIConfig(Configuration&, QWidget *parent = 0, const char *name = 0);
	void setStatesByConfiguration(const Configuration&);

private slots:
	void setChangePlayInfoLayoutInPortaitMode(bool b)	{ config.changePlayInfoLayoutInPortaitMode = b; }
	void setPlaylistAutoTriggerFilterInterval(int value) { config.playlistAutoTriggerFilterInterval = value; }
	
	void setSkin1(const QString &skinName)	{ config.skin1 = skinName; }
	void findSkin1();

	void setSkin2(const QString &skinName)	{ config.skin2 = skinName; }
	void findSkin2();
	
private:
	void createWidgets();

	Configuration &config;
	
	QCheckBox *changePlayInfoLayoutInPortaitMode_;
	QSpinBox *playlistAutoTriggerFilterInterval_;
	QComboBox *skinList1, *skinList2;
};

#endif	// UICONFIG_H
